trigonometric.cpp File Reference
`#include <gecode/float.hh>`
`#include <gecode/float/trigonometric.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

void | Gecode::asin (Home home, FloatVar x0, FloatVar x1)
| Post propagator for .
void | Gecode::sin (Home home, FloatVar x0, FloatVar x1)
| Post propagator for .
void | Gecode::acos (Home home, FloatVar x0, FloatVar x1)
| Post propagator for .
void | Gecode::cos (Home home, FloatVar x0, FloatVar x1)
| Post propagator for .
void | Gecode::atan (Home home, FloatVar x0, FloatVar x1)
| Post propagator for .
void | Gecode::tan (Home home, FloatVar x0, FloatVar x1)
| Post propagator for .